Bug 20296 - Untranslatable "All" in patrons table filter
Summary: Untranslatable "All" in patrons table filter
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: paxed
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-26 10:14 UTC by paxed
Modified: 2018-04-06 17:46 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20296: Untranslatable "All" in patrons table filter (1.54 KB, patch)
2018-02-26 10:15 UTC, paxed
Details | Diff | Splinter Review
Bug 20296: Untranslatable "All" in patrons table filter (1.61 KB, patch)
2018-02-27 16:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2018-02-26 10:14:17 UTC
There's an untranslatable "All" in the "Show X entries" filter dropdown when browsing the patrons.
Comment 1 paxed 2018-02-26 10:15:33 UTC
Created attachment 72197 [details] [review]
Bug 20296: Untranslatable "All" in patrons table filter

There's an untranslatable "All" in the "Show X entries" filter
when browsing the patrons.

Test plan:

1) Home --> Patrons --> Browse by last name.
2) In the table filtering toolbar, there's a dropdown with
   "Show [20] entries" and the last in the dropdown is "All".
3) Update and install a language, check that msgid "All" is
   translated and isn't fuzzy.
4) Check the "All" in the dropdown, it is not translated.
5) Install patch, repeat 1-3, and check the "All" in the dropdown,
   it should now be translated.
Comment 2 M. Tompsett 2018-02-26 13:31:54 UTC
(In reply to paxed from comment #1)
> 3) Update and install a language, check that msgid "All" is
>    translated and isn't fuzzy.

I know this is common knowledge to those frequently handling translation, but links to information would be a vast improvement in test plan, especially on something which eyeballs perfectly.
Comment 3 Katrin Fischer 2018-02-26 23:04:19 UTC
Hi Mark, what kind of information are you looking for?
Comment 4 Jonathan Druart 2018-02-27 16:56:35 UTC
Created attachment 72275 [details] [review]
Bug 20296: Untranslatable "All" in patrons table filter

There's an untranslatable "All" in the "Show X entries" filter
when browsing the patrons.

Test plan:

1) Home --> Patrons --> Browse by last name.
2) In the table filtering toolbar, there's a dropdown with
   "Show [20] entries" and the last in the dropdown is "All".
3) Update and install a language, check that msgid "All" is
   translated and isn't fuzzy.
4) Check the "All" in the dropdown, it is not translated.
5) Install patch, repeat 1-3, and check the "All" in the dropdown,
   it should now be translated.

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2018-02-27 16:57:08 UTC
Trivial, skipping QA.
Comment 6 Jonathan Druart 2018-02-27 18:59:52 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2018-04-06 17:46:51 UTC
Awesome work all, backported to stable for 17.11.05